Bug 836249 - Be able to run rhc-outage from anywhere on the system without bundle exec
Be able to run rhc-outage from anywhere on the system without bundle exec
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 09:26 EDT by Clayton Coleman
Modified: 2015-05-14 21:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 13:30:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-06-28 09:26:08 EDT
rhc_outage should probably boot bundler (Bundler.setup, like how the rails init process works) during startup.  We don't want the Rails env loaded.
Comment 1 joycezhang 2012-07-31 04:51:28 EDT
The function 'rhc outage' works fine with devenv_1922 with client rhc-0.95.14.

You can refer to following results:
# ../var/www/stickshift/site/app/subsites/status/rhc-outage new title description
Created issue #30
Update applied to issue #30
Syncing https://10.144.0.146/app/status
	Success
Comment 2 Fotios Lindiakos 2013-02-05 13:30:19 EST
Confirmed that this script can be run from anywhere:

[root@ip-10-194-27-192 ~]# /var/www/openshift/site/app/subsites/status/rhc-outage list
Open
  #27: Test issue 1
Resolved
  #26: Openshift Maintenance
  ...

Note You need to log in before you can comment on or make changes to this bug.